Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1656536 - Review Request: perl-Web-ID - Implementation of WebID
Summary: Review Request: perl-Web-ID - Implementation of WebID
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1656533 1656535
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-05 17:38 UTC by Xavier Bachelot
Modified: 2018-12-18 03:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-18 03:05:18 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Xavier Bachelot 2018-12-05 17:38:00 UTC
Spec URL: https://www.bachelot.org/fedora/SPECS/perl-Web-ID.spec
SRPM URL: https://www.bachelot.org/fedora/SRPMS/perl-Web-ID-1.927-1.fc29.src.rpm

Description:
WebID is a simple authentication protocol based on TLS (Transaction Layer
Security, better known as Secure Socket Layer, SSL) and the Semantic Web.
This module provides a Perl implementation for authenticating clients
using WebID.

Fedora Account System Username: xavierb

Comment 1 Robert-André Mauchin 🐧 2018-12-07 16:53:04 UTC
URL and Source addresses are Ok.
Source archive (SHA-256: ee111a6ff3e22e070a652e0867fdd3db183a49e436feffc1ff89ca3c876c445c) is original. Ok.
Summary verified from lib/Web/ID.pm. Ok.
Description verified from lib/Web/ID.pm. Ok.
License verified from lib/Web/ID.pm and README. Ok.
No XS code, noarch BuildArch is Ok.

All tests pass. Ok.

$ rpmlint perl-Web-ID.spec review-perl-Web-ID/results/perl-Web-ID-1.927-1.fc30.noarch.rpm review-perl-Web-ID/results/perl-Web-ID-1.927-1.fc30.src.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpm -q -lv -p perl-Web-ID-1.927-1.fc30.noarch.rpm 
drwxr-xr-x    2 root    root                        0 déc.  7 17:46 /usr/share/doc/perl-Web-ID
-rw-r--r--    1 root    root                     2767 mai 10  2014 /usr/share/doc/perl-Web-ID/CONTRIBUTING
-rw-r--r--    1 root    root                     1630 mai 10  2014 /usr/share/doc/perl-Web-ID/COPYRIGHT
-rw-r--r--    1 root    root                      175 mai 10  2014 /usr/share/doc/perl-Web-ID/CREDITS
-rw-r--r--    1 root    root                     2498 mai 10  2014 /usr/share/doc/perl-Web-ID/Changes
-rw-r--r--    1 root    root                     4237 mai 10  2014 /usr/share/doc/perl-Web-ID/README
drwxr-xr-x    2 root    root                        0 déc.  7 17:46 /usr/share/licenses/perl-Web-ID
-rw-r--r--    1 root    root                    18347 mai 10  2014 /usr/share/licenses/perl-Web-ID/LICENSE
-rw-r--r--    1 root    root                     3605 déc.  7 17:45 /usr/share/man/man3/Plack::Middleware::Auth::WebID.3pm.gz
-rw-r--r--    1 root    root                     3297 déc.  7 17:45 /usr/share/man/man3/Web::ID.3pm.gz
-rw-r--r--    1 root    root                     2666 déc.  7 17:45 /usr/share/man/man3/Web::ID::Certificate.3pm.gz
-rw-r--r--    1 root    root                     2946 déc.  7 17:45 /usr/share/man/man3/Web::ID::Certificate::Generator.3pm.gz
-rw-r--r--    1 root    root                     4081 déc.  7 17:45 /usr/share/man/man3/Web::ID::FAQ.3pm.gz
-rw-r--r--    1 root    root                     1739 déc.  7 17:45 /usr/share/man/man3/Web::ID::RSAKey.3pm.gz
-rw-r--r--    1 root    root                     2114 déc.  7 17:45 /usr/share/man/man3/Web::ID::SAN.3pm.gz
-rw-r--r--    1 root    root                     1675 déc.  7 17:45 /usr/share/man/man3/Web::ID::SAN::Email.3pm.gz
-rw-r--r--    1 root    root                     1583 déc.  7 17:45 /usr/share/man/man3/Web::ID::SAN::URI.3pm.gz
-rw-r--r--    1 root    root                     1677 déc.  7 17:45 /usr/share/man/man3/Web::ID::Types.3pm.gz
-rw-r--r--    1 root    root                     2529 déc.  7 17:45 /usr/share/man/man3/Web::ID::Util.3pm.gz
drwxr-xr-x    2 root    root                        0 déc.  7 17:45 /usr/share/perl5/vendor_perl/Plack
drwxr-xr-x    2 root    root                        0 déc.  7 17:45 /usr/share/perl5/vendor_perl/Plack/Middleware
drwxr-xr-x    2 root    root                        0 déc.  7 17:45 /usr/share/perl5/vendor_perl/Plack/Middleware/Auth
-rw-r--r--    1 root    root                     7330 mai 10  2014 /usr/share/perl5/vendor_perl/Plack/Middleware/Auth/WebID.pm
drwxr-xr-x    2 root    root                        0 déc.  7 17:45 /usr/share/perl5/vendor_perl/Web
drwxr-xr-x    2 root    root                        0 déc.  7 17:45 /usr/share/perl5/vendor_perl/Web/ID
-rw-r--r--    1 root    root                     5998 mai 10  2014 /usr/share/perl5/vendor_perl/Web/ID.pm
drwxr-xr-x    2 root    root                        0 déc.  7 17:45 /usr/share/perl5/vendor_perl/Web/ID/Certificate
-rw-r--r--    1 root    root                     6001 mai 10  2014 /usr/share/perl5/vendor_perl/Web/ID/Certificate.pm
-rw-r--r--    1 root    root                     8708 mai 10  2014 /usr/share/perl5/vendor_perl/Web/ID/Certificate/Generator.pm
-rw-r--r--    1 root    root                     6219 mai 10  2014 /usr/share/perl5/vendor_perl/Web/ID/FAQ.pod
-rw-r--r--    1 root    root                     1690 mai 10  2014 /usr/share/perl5/vendor_perl/Web/ID/RSAKey.pm
drwxr-xr-x    2 root    root                        0 déc.  7 17:45 /usr/share/perl5/vendor_perl/Web/ID/SAN
-rw-r--r--    1 root    root                     2965 mai 10  2014 /usr/share/perl5/vendor_perl/Web/ID/SAN.pm
-rw-r--r--    1 root    root                     3464 mai 10  2014 /usr/share/perl5/vendor_perl/Web/ID/SAN/Email.pm
-rw-r--r--    1 root    root                     2907 mai 10  2014 /usr/share/perl5/vendor_perl/Web/ID/SAN/URI.pm
-rw-r--r--    1 root    root                     2068 mai 10  2014 /usr/share/perl5/vendor_perl/Web/ID/Types.pm
drwxr-xr-x    2 root    root                        0 déc.  7 17:45 /usr/share/perl5/vendor_perl/Web/ID/Util
-rw-r--r--    1 root    root                     5731 mai 10  2014 /usr/share/perl5/vendor_perl/Web/ID/Util.pm
-rw-r--r--    1 root    root                      629 mai 10  2014 /usr/share/perl5/vendor_perl/Web/ID/Util/FindOpenSSL.pm
File permissions and layout are Ok.

rpm -q --requires -p perl-Web-ID-1.927-1.fc30.noarch.rpm | sort -f | uniq -c
      1 perl(:MODULE_COMPAT_5.28.1)
      1 perl(:VERSION) >= 5.10.0
      1 perl(base)
      1 perl(Carp)
      1 perl(constant)
      1 perl(Crypt::X509) >= 0.50
      1 perl(DateTime) >= 0
      1 perl(Digest::SHA)
      1 perl(Exporter::Tiny)
      1 perl(File::ShareDir)
      1 perl(File::Spec)
      1 perl(File::Temp)
      1 perl(List::MoreUtils)
      1 perl(match::simple)
      1 perl(Math::BigInt) >= 0
      1 perl(MIME::Base64) >= 0
      1 perl(Moose)
      1 perl(Moose::Role)
      1 perl(Moose::Util)
      1 perl(namespace::sweep)
      1 perl(Path::Tiny)
      1 perl(Plack::Middleware)
      1 perl(Plack::Util)
      1 perl(Plack::Util::Accessor)
      1 perl(RDF::Query) >= 2.900
      1 perl(RDF::Trine)
      1 perl(RDF::Trine::NamespaceMap)
      1 perl(strict)
      1 perl(Type::Library)
      1 perl(Type::Utils)
      1 perl(URI) >= 0
      1 perl(URI::Escape) >= 0
      1 perl(utf8)
      1 perl(Web::ID::Certificate)
      1 perl(Web::ID::RSAKey)
      1 perl(Web::ID::SAN)
      1 perl(Web::ID::SAN::Email)
      1 perl(Web::ID::SAN::URI)
      1 perl(Web::ID::Types)
      1 perl(Web::ID::Util)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

rpm -q --provides -p perl-Web-ID-1.927-1.fc30.noarch.rpm 
perl(Plack::Middleware::Auth::WebID) = 1.927
perl(Web::ID) = 1.927
perl(Web::ID::Certificate) = 1.927
perl(Web::ID::Certificate::Generator) = 1.927
perl(Web::ID::RSAKey) = 1.927
perl(Web::ID::SAN) = 1.927
perl(Web::ID::SAN::Email) = 1.927
perl(Web::ID::SAN::URI) = 1.927
perl(Web::ID::Types) = 1.927
perl(Web::ID::Util) = 1.927
perl(Web::ID::Util::FindOpenSSL) = 1.927
perl-Web-ID = 1.927-1.fc30
Binary provides are Ok.


Package builds in Mock
Ok

The package is in line with Fedora and Perl packaging guidelines.

Resolution: Package approved.

Comment 2 Xavier Bachelot 2018-12-07 17:11:20 UTC
Thanks for the review.

Comment 3 Gwyn Ciesla 2018-12-07 17:23:30 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/perl-Web-ID

Comment 4 Fedora Update System 2018-12-08 20:30:24 UTC
perl-Web-ID-1.927-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d6606a8778

Comment 5 Fedora Update System 2018-12-08 20:30:34 UTC
perl-Web-ID-1.927-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f74e827977

Comment 6 Fedora Update System 2018-12-18 03:05:18 UTC
perl-Web-ID-1.927-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2018-12-18 03:41:25 UTC
perl-Web-ID-1.927-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.